---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libgeterrname001.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x4608, symSize: 0x270 }
  - { offsetInCU: 0xAC4, offset: 0xAC4, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4CC30, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0xAEB, offset: 0xAEB, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4EB70, symBinAddr: 0xE110, symSize: 0x0 }
  - { offsetInCU: 0xB0D, offset: 0xB0D, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4EF58, symBinAddr: 0xE4F8, symSize: 0x0 }
  - { offsetInCU: 0xB2F, offset: 0xB2F, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4FEF8, symBinAddr: 0xF498, symSize: 0x0 }
  - { offsetInCU: 0xB44, offset: 0xB44, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4FF00, symBinAddr: 0xF4A0, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4C8B8, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0xBCA, offset: 0xBCA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4C8BC, symBinAddr: 0xC09C, symSize: 0x0 }
  - { offsetInCU: 0xBD5, offset: 0xBD5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4C8C0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC1A, offset: 0xC1A, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4CA10, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC93, offset: 0xC93, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4CAC8, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0xCB1, offset: 0xCB1, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4CACC, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0xCCA, offset: 0xCCA, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4CAD0, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCE3, offset: 0xCE3, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4CAD4, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCFC, offset: 0xCFC, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4CAD8, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x92C2, offset: 0x92C2, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4CAE0, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x934B, offset: 0x934B, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4CAF0, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x9364, offset: 0x9364, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4CAF8, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x937D, offset: 0x937D, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4CB00, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9396, offset: 0x9396, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4CB08, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93AF, offset: 0x93AF, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4CB10, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93C9, offset: 0x93C9, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4CB18, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x94AF, offset: 0x94AF, size: 0x8, addend: 0x0, symName: __ZL5phase, symObjAddr: 0x4CB5C, symBinAddr: 0xC1BC, symSize: 0x0 }
  - { offsetInCU: 0x94C8, offset: 0x94C8, size: 0x8, addend: 0x0, symName: __ZL6errors, symObjAddr: 0xD5C0, symBinAddr: 0x8020, symSize: 0x0 }
  - { offsetInCU: 0x9516, offset: 0x9516, size: 0x8, addend: 0x0, symName: __ZL11access_lock, symObjAddr: 0x4CB60, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x952F, offset: 0x952F, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4CB68, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9581, offset: 0x9581, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x35CC, symSize: 0xA0 }
  - { offsetInCU: 0x9616, offset: 0x9616, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x35A4, symSize: 0x28 }
  - { offsetInCU: 0x9679, offset: 0x9679, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x3524, symSize: 0x80 }
  - { offsetInCU: 0x990D, offset: 0x990D, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x366C, symSize: 0x34 }
  - { offsetInCU: 0x9967, offset: 0x9967, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x36A0, symSize: 0x20C }
  - { offsetInCU: 0x9B20, offset: 0x9B20, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x38AC, symSize: 0x28 }
  - { offsetInCU: 0x9BE9, offset: 0x9BE9, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x38D4, symSize: 0xB0 }
  - { offsetInCU: 0x9CE0, offset: 0x9CE0, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x3984, symSize: 0xD8 }
  - { offsetInCU: 0x9E31, offset: 0x9E31, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x3A5C, symSize: 0x24 }
  - { offsetInCU: 0x9F14, offset: 0x9F14, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x3A80, symSize: 0x168 }
  - { offsetInCU: 0xA0F0, offset: 0xA0F0, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x3BE8, symSize: 0x104 }
  - { offsetInCU: 0xA3A1, offset: 0xA3A1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x3CEC, symSize: 0x3F8 }
  - { offsetInCU: 0xA5C5, offset: 0xA5C5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x40E4, symSize: 0x154 }
  - { offsetInCU: 0xA7A9, offset: 0xA7A9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x4238, symSize: 0xAC }
  - { offsetInCU: 0xA87E, offset: 0xA87E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x42E4, symSize: 0x14 }
  - { offsetInCU: 0xA8B7, offset: 0xA8B7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x42F8, symSize: 0x14 }
  - { offsetInCU: 0xA8F0, offset: 0xA8F0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x430C, symSize: 0x14 }
  - { offsetInCU: 0xAA8D, offset: 0xAA8D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x4320, symSize: 0x1A8 }
  - { offsetInCU: 0xAD97, offset: 0xAD97, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x44C8, symSize: 0x140 }
  - { offsetInCU: 0xAF38, offset: 0xAF38, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x4878, symSize: 0x1C0 }
  - { offsetInCU: 0xB215, offset: 0xB215, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x4A38, symSize: 0x9C }
  - { offsetInCU: 0xB2D2, offset: 0xB2D2, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x4AD4, symSize: 0x690 }
  - { offsetInCU: 0xBE64, offset: 0xBE64, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x973C, symBinAddr: 0x62DC, symSize: 0x30 }
  - { offsetInCU: 0xBEF0, offset: 0xBEF0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x5164, symSize: 0x74 }
  - { offsetInCU: 0xBF80, offset: 0xBF80, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x51D8, symSize: 0xB0 }
  - { offsetInCU: 0xC08B, offset: 0xC08B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x5288, symSize: 0x3C }
  - { offsetInCU: 0xC181, offset: 0xC181, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x52C4, symSize: 0x29C }
  - { offsetInCU: 0xC4C4, offset: 0xC4C4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x5560, symSize: 0xD0 }
  - { offsetInCU: 0xC5F2, offset: 0xC5F2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x5630, symSize: 0xC }
  - { offsetInCU: 0xC6B4, offset: 0xC6B4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x563C, symSize: 0x22C }
  - { offsetInCU: 0xC96F, offset: 0xC96F, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5868, symSize: 0x4 }
  - { offsetInCU: 0xC9B3, offset: 0xC9B3, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5868, symSize: 0x4 }
  - { offsetInCU: 0xC9CC, offset: 0xC9CC, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x586C, symSize: 0x48C }
  - { offsetInCU: 0xCF4D, offset: 0xCF4D, size: 0x8, addend: 0x0, symName: __ZL17checkGetErrorNameP9_jvmtiEnv, symObjAddr: 0x9278, symBinAddr: 0x5E18, symSize: 0x168 }
  - { offsetInCU: 0xD0E1, offset: 0xD0E1, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9158, symBinAddr: 0x5CF8, symSize: 0x4 }
  - { offsetInCU: 0xD125, offset: 0xD125, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9158, symBinAddr: 0x5CF8, symSize: 0x4 }
  - { offsetInCU: 0xD13E, offset: 0xD13E, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0x915C, symBinAddr: 0x5CFC, symSize: 0x11C }
  - { offsetInCU: 0xD2BD, offset: 0xD2BD, size: 0x8, addend: 0x0, symName: _ClassFileLoadHook, symObjAddr: 0x93E0, symBinAddr: 0x5F80, symSize: 0x21C }
  - { offsetInCU: 0xD5A1, offset: 0xD5A1, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x95FC, symBinAddr: 0x619C, symSize: 0x140 }
  - { offsetInCU: 0xD712, offset: 0xD712, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x976C, symBinAddr: 0x630C, symSize: 0x358 }
...
